﻿using SYBDContracts.BindingModels;
using SYBDContracts.SearchModels;
using SYBDContracts.ViewModels;

namespace SYBDContracts.BusinessLogicsContracts
{
    public interface IAutoLogic
    {
        List<AutoViewModel>? ReadList(AutoSearchModel? model);

        AutoViewModel? ReadElement(AutoSearchModel model);

        bool Create(AutoBindingModel model);

        bool Update(AutoBindingModel model);

        bool Delete(AutoBindingModel model);
    }
}