﻿using SYBDContracts.BindingModels;
using SYBDContracts.SearchModels;
using SYBDContracts.ViewModels;

namespace SYBDContracts.BusinessLogicsContracts
{
    public interface IInsuranceLogic
    {
        List<InsuranceViewModel>? ReadList(InsuranceSearchModel? model);

        InsuranceViewModel? ReadElement(InsuranceSearchModel model);

        bool Create(InsuranceBindingModel model);

        bool Update(InsuranceBindingModel model);

        bool Delete(InsuranceBindingModel model);
    }
}