﻿using SYBDContracts.BindingModels;
using SYBDContracts.SearchModels;
using SYBDContracts.ViewModels;

namespace SYBDContracts.BusinessLogicsContracts
{
    public interface IWorkerLogic
    {
        List<WorkerViewModel>? ReadList(WorkerSearchModel? model);

        WorkerViewModel? ReadElement(WorkerSearchModel model);

        bool Create(WorkerBindingModel model);

        bool Update(WorkerBindingModel model);

        bool Delete(WorkerBindingModel model);
    }
}