﻿using SYBDContracts.BindingModels;
using SYBDContracts.SearchModels;
using SYBDContracts.ViewModels;

namespace SYBDContracts.StoragesContracts
{
    public interface IAutoStorage
    {
        List<AutoViewModel> GetFullList();

        List<AutoViewModel> GetFilteredList(AutoSearchModel model);

        AutoViewModel? GetElement(AutoSearchModel model);

        AutoViewModel? Insert(AutoBindingModel model);

        AutoViewModel? Update(AutoBindingModel model);

        AutoViewModel? Delete(AutoBindingModel model);
    }
}