﻿using SYBDContracts.BindingModels;
using SYBDContracts.SearchModels;
using SYBDContracts.ViewModels;

namespace SYBDContracts.StoragesContracts
{
    public interface IInsuranceStorage
    {
        List<InsuranceViewModel> GetFullList();

        List<InsuranceViewModel> GetFilteredList(InsuranceSearchModel model);

        InsuranceViewModel? GetElement(InsuranceSearchModel model);

        InsuranceViewModel? Insert(InsuranceBindingModel model);

        InsuranceViewModel? Update(InsuranceBindingModel model);

        InsuranceViewModel? Delete(InsuranceBindingModel model);
    }
}