﻿using SYBDContracts.BindingModels;
using SYBDContracts.SearchModels;
using SYBDContracts.ViewModels;

namespace SYBDContracts.StoragesContracts
{
    public interface IWorkerStorage
    {
        List<WorkerViewModel> GetFullList();

        List<WorkerViewModel> GetFilteredList(WorkerSearchModel model);

        WorkerViewModel? GetElement(WorkerSearchModel model);

        WorkerViewModel? Insert(WorkerBindingModel model);

        WorkerViewModel? Update(WorkerBindingModel model);

        WorkerViewModel? Delete(WorkerBindingModel model);
    }
}