﻿using SYBDDataModels.Models;
using System.ComponentModel;

namespace SYBDContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        [DisplayName("Номер автомобиля")]
        public int AutoId { get; set; }

        [DisplayName("Автомобиль")]
        public string AutoModel { get; set; } = string.Empty;
        [DisplayName("Номер клиента")]
        public int ClientId { get; set; }

        [DisplayName("Клиент")]
        public string ClientFullname { get; set; } = string.Empty;
        [DisplayName("Номер cтраховой")]
        public int InsuranceId { get; set; }

        [DisplayName("Страховая")]
        public string InsuranceName { get; set; } = string.Empty;
        [DisplayName("Номер работника")]
        public int WorkerId { get; set; }

        [DisplayName("Работник")]
        public string WorkerFullname { get; set; } = string.Empty;

        [DisplayName("Описание")]
        public string Description { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        [DisplayName("Статус")]
        public string Status { get; set; } = string.Empty;



    }
}